# File Organization

## Learning Objectives

*  Evaluate folder and file structure of a project.
*  Recognize common problems that occur in file organization.
*  Be able to identify what plain text is.
*  Demonstrate the benefits of using plain text.
*  Distinguish between input and output files.
*  Integrate file naming standards into projects.

## Activity 01 - Forensic Science

Please download the directory `[forensic-science](files/file-org/forensic-science)`

Often times in research you start with a given set of files from an
experiment or study that was performed at some point in the past. To
build on the work, you then need to understand content, relationships,
and purpose of these files. If the work is from a lab mate who is
still in the lab, you can ask them. However, more often than not, the
past researcher is yourself and you simply need to understand what you
did months back on a project so you can write the paper.  This is
often a time consuming and painful process, but it doesn't have to be.

Let's take a look at the `forensic-science` folder.  This is the
project directory from a researcher exploring the gapminder data that
you were introduced to earlier today.  Look through the contents of
this folder and try to answer these questions about this project.

**Questions**

1.  What type of study is this?
2.  What are the conclusions of this study?
3.  When was this study performed?
4.  What are the questions that this study is trying to answer?
5.  Which files are the data? Which files are the analysis? 
6.  Of the data files, what is the difference between them?
7.  What are the differences between the data files? How do you know?
8.  What are the differences between the analysis files? How do you know?
9.  Are the file formats appropriate?
10.  What are some ways that would make answering these questions easier? 
